import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  BatchGetMetricsRequest,
  BatchGetMetricsResponse,
} from "../models/models_0";
import {
  SageMakerMetricsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerMetricsClient";
export { __MetadataBearer };
export { $Command };
export interface BatchGetMetricsCommandInput extends BatchGetMetricsRequest {}
export interface BatchGetMetricsCommandOutput
  extends BatchGetMetricsResponse,
    __MetadataBearer {}
declare const BatchGetMetricsCommand_base: {
  new (
    input: BatchGetMetricsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    BatchGetMetricsCommandInput,
    BatchGetMetricsCommandOutput,
    SageMakerMetricsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: BatchGetMetricsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    BatchGetMetricsCommandInput,
    BatchGetMetricsCommandOutput,
    SageMakerMetricsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class BatchGetMetricsCommand extends BatchGetMetricsCommand_base {
  protected static __types: {
    api: {
      input: BatchGetMetricsRequest;
      output: BatchGetMetricsResponse;
    };
    sdk: {
      input: BatchGetMetricsCommandInput;
      output: BatchGetMetricsCommandOutput;
    };
  };
}
